#!/usr/bin/env python
# -*- coding: utf-8 -*-

import socket

def gettemps():
    """Returns (dev, name, temp(int) )"""
    sock = socket.socket( socket.AF_INET, socket.SOCK_STREAM )
    sock.connect( ( "localhost", 7634 ) )
    lines = sock.makefile( 'r' ).readline()
    sock.close()

    lines = lines.replace( '||', '|#|' )
    lines = lines.split( '#' )

    ret_val = []
    for line in lines:
        dev, name, temp = line[1:-3].split('|')
        ret_val.append( (dev, name, int( temp )) )
    return ret_val

# - main
if __name__ == '__main__':
    for devline in gettemps():
        print "%s %s %dC" %( devline[0], devline[1], devline[2] )

